## moin 1.9.7

=== debian/changelog ===
moin (1.9.7-1ubuntu2.2) trusty-security; urgency=medium

  * SECURITY UPDATE: XSS in GUI editor
    - debian/patches/CVE-2017-5934.patch: fix in MoinMoin/action/fckdialog.py.
    - CVE-2017-5934

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 15 Oct 2018 13:40:09 -0300

moin (1.9.7-1ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: XSS in attachment dialogue
    - debian/patches/CVE-2016-7146.patch: properly escape page_name in
      MoinMoin/action/fckdialog.py.
    - CVE-2016-7146
  * SECURITY UPDATE: XSS in link dialogue
    - debian/patches/CVE-2016-9119.patch: properly escape strings in
      MoinMoin/action/fckdialog.py.
    - CVE-2016-9119

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Nov 2016 07:53:09 -0500

moin (1.9.7-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:48:55 +0000

moin (1.9.7-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
  * debian/control:
    - remove python-xml from Suggests field, the package isn't in
      sys.path any more.
    - demote fckeditor from Recommends to Suggests; the code was previously
      embedded in moin, but it was also disabled, so there's no reason for us
      to pull this in by default currently. Note: fckeditor has a number of
      security problems and so this change probably needs to be carried
      indefinitely.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2014 21:33:21 +0100

moin (1.9.7-1) unstable; urgency=low

  * New upstream release (x2)
  * Make sure that strings output to the external account creation checker
    are marked as UTF-8.
  * Re-add missing dependencies, fallout from the CDBS switch.
    Closes: #704433
  * Add dependency on python-passlib rather than use the bundled version.
  * Update patches to fit upstream changes:
    + recaptcha.patch
    + subscribercache.patch
    + use_systemwide_libs.patch
    + mail-verification.patch
  * Remove patches that were already from upstream:
    + constant_time_strcmp.patch
    + escape_css_url.patch
    + secure_taintfile_name.patch
    + escape_pagename_in_rss.patch
    + draw-taintfile.patch
    + attachfile-path-traversal.patch
  * Split out the call to external account creation check into a separate
    patch (external_account_creation_check.patch) instead of lumping it in
    with mail-verification.patch
  * Do not create empty pagedir (with empty edit-log). Patch from
    upstream. Closes: #721557

 -- Steve McIntyre <93sam@debian.org>  Tue, 30 Apr 2013 18:45:43 +0100

moin (1.9.5-5ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * debian/control:
    - remove python-xml from Suggests field, the package isn't in
      sys.path any more.
    - demote fckeditor from Recommends to Suggests; the code was previously
      embedded in moin, but it was also disabled, so there's no reason for us
      to pull this in by default currently. Note: fckeditor has a number of
      security problems and so this change probably needs to be carried
      indefinitely.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 May 2013 11:56:01 +0200

moin (1.9.5-5) unstable; urgency=low

  * Re-package without CDBS.
  * Switch from dh_pysupport to dh_python2

 -- Steve McIntyre <93sam@debian.org>  Sat, 19 Jan 2013 19:45:43 +0000
