=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=uversionmangle=s/(alpha|beta|rc)/~$1/ \
	http://static.moinmo.in/files/moin-(.*)\.tar\.gz debian uupdate --no-pristine
