## moin 1.9.8

=== debian/changelog ===
moin (1.9.8-1ubuntu1.16.04.3) xenial-security; urgency=medium

  * SECURITY UPDATE: XSS vulnerability
    - debian/patches/CVE-2020-15275.patch: fix stored XSS vulnerability
      via SVG attachment in MoinMoin/config/__init__.py,
      MoinMoin/config/multiconfig.py.
    - CVE-2020-15275
  * SECURITY UPDATE: Remote code execution
    - debian/patches/CVE-2020-25074.patch: fix remote code execution
      via cache action in MoinMoin/action/cache.py.
    - CVE-2020-25074

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 10 Nov 2020 09:46:18 -0300

moin (1.9.8-1ubuntu1.16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: XSS in GUI editor
    - debian/patches/CVE-2017-5934.patch: fix in MoinMoin/action/fckdialog.py.
    - CVE-2017-5934

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 15 Oct 2018 14:31:35 -0300

moin (1.9.8-1ubuntu1.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: XSS in attachment dialogue
    - debian/patches/CVE-2016-7146.patch: properly escape page_name in
      MoinMoin/action/fckdialog.py.
    - CVE-2016-7146
  * SECURITY UPDATE: XSS in AttachFile view
    - debian/patches/CVE-2016-7148.patch: properly escape pagename in
      MoinMoin/action/AttachFile.py.
    - CVE-2016-7148
  * SECURITY UPDATE: XSS in link dialogue
    - debian/patches/CVE-2016-9119.patch: properly escape strings in
      MoinMoin/action/fckdialog.py.
    - CVE-2016-9119

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Nov 2016 07:45:20 -0500

moin (1.9.8-1ubuntu1) xenial; urgency=medium

  * Merge from debian, remaining changes:
    + debian/control:
      - remove python-xml from Suggests field, the package isn't in
        sys.path any more.
      - demote fckeditor from Recommends to Suggests; the code was previously
        embedded in moin, but it was also disabled, so there's no reason for us
        to pull this in by default currently. Note: fckeditor has a number of
        security problems and so this change probably needs to be carried
        indefinitely.
      - Drop python-mysqldb in favor of python-pymysql.
    + debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.

 -- Pierre-André MOREY <pierre-andre.morey@canonical.com>  Wed, 17 Feb 2016 10:53:33 +0100

moin (1.9.8-1) unstable; urgency=medium

  * New upstream release, lots of bug fixes
  * Remove patches that are now upstream:
    + avoid_empty_dir_creation.patch
    + subscribercache.patch
  * Update patches to fit upstream changes:
    + disable_gui_editor_if_fckeditor_missing.patch
    + use_systemwide_libs.patch
    + mail-verification.patch
    + external_account_creation_check.patch
  * Update README.Debian; add more info about "moin maint" etc.

 -- Steve McIntyre <93sam@debian.org>  Sun, 19 Oct 2014 01:31:22 +0100

moin (1.9.7-2ubuntu3) wily; urgency=medium

  * debian/patches/pymysql-replacement.patch: Use pymysql as drop in
    replacement for MySQLdb.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 25 Aug 2015 15:30:19 -0400

moin (1.9.7-2ubuntu2) wily; urgency=medium

  * debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 24 Aug 2015 10:52:14 -0400

moin (1.9.7-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable (LP: #1351331).  Remaining changes:
  * debian/control:
    - remove python-xml from Suggests field, the package isn't in
      sys.path any more.
    - demote fckeditor from Recommends to Suggests; the code was previously
      embedded in moin, but it was also disabled, so there's no reason for us
      to pull this in by default currently. Note: fckeditor has a number of
      security problems and so this change probably needs to be carried
      indefinitely.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 04 Aug 2014 14:34:11 -0400

moin (1.9.7-2) unstable; urgency=medium

  * Add source for the minified copy of jquery.js included in the upstream
    source tarball, even though it's never used in the Debian build at all.
    Close: #754783. Mention it in README.source too
  * Minor updates prompted by lintian:
    + Update Standards-Version
    + Switch from "dh_clean -k" to "dh_prep"
    + Minor tweaks to debian/copyright to fix parse errors

 -- Steve McIntyre <93sam@debian.org>  Thu, 31 Jul 2014 14:34:47 +0100
