## moin 1.9.9

=== debian/changelog ===
moin (1.9.9-1+deb9u1ubuntu1) focal; urgency=medium

  * Use python2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2020 13:09:58 +0100

moin (1.9.9-1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * XSS in GUI editor related code (CVE-2017-5934) (Closes: #910776)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 11 Oct 2018 20:54:28 +0200

moin (1.9.9-1) unstable; urgency=medium

  * New upstream release, lots of bug fixes
  * Includes a few security updates:
    + CVE-2016-9119: XSS in GUI editor's link dialogue
      (Closes: #844338)
    + CVE-2016-7146: XSS in GUI editor's attachment dialogue
      (Closes:#844340)
    + CVE-2016-7148: XSS in AttachFile view (multifile related)
      (Closes: #844341)
  * Apply recommended patch from upstream: fix wrong digestmod of hmac.new
    calls
  * Update patches to fit upstream changes:
    + use_systemwide_libs.patch
    + mail-verification.patch
  * Add patch from Paul Wise to implement an incremental dump process in
    moin dump
  * Fix timestamps to make package build reproducibly. Thanks to Eduard
    Sanou for the patch. Closes: #794014

 -- Steve McIntyre <93sam@debian.org>  Thu,  8 Dec 2016 22:13:08 +0000
