=== debian/control ===
Source: moin
Section: net
Priority: optional
Maintainer: Steve McIntyre <93sam@debian.org>
Standards-Version: 3.9.5
Build-Depends: devscripts,
 dh-python,
 python-all-dev (>= 2.3.5-7),
 debhelper,
 unzip,
 zip
Vcs-Git: git://git.debian.org/git/collab-maint/moin.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/moin.git;a=summary
Homepage: http://moinmo.in/

Package: python-moinmoin
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, python-werkzeug, python-pygments, python-parsedatetime, python-recaptcha, python-passlib
Provides: python2.6-moinmoin, python2.7-moinmoin
Recommends: default-mta | mail-transport-agent, python-xapian, python-xappy, fckeditor, libapache2-mod-wsgi | httpd-cgi
Suggests: python-flup, python-4suite-xml, python-xml, python-gdchart, python-docutils, python-pyxmpp, python-openid, python-tz, python-ldap, python-mysqldb, miscfiles | wordlist, antiword, catdoc, cifs-utils, poppler-utils | xpdf-utils, docbook-dsssl
Description: Python clone of WikiWiki - library
 A WikiWikiWeb is a collaborative hypertext environment, with an
 emphasis on easy access to and modification of information. MoinMoin
 is a Python WikiClone that allows you to easily set up your own wiki,
 only requiring a Web server and a Python installation.
