=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 #-*- makefile -*-
+
+PATH := $(PATH):$(CURDIR)/debian/bin
+export PATH
 
 pkg = python-moinmoin
 datadir = /usr/share/moin
@@ -7,6 +10,8 @@
 python_all = pyversions -r | tr ' ' '\n' | xargs -t -I {} env {}
 staticpath := $(shell sed -n -e "s|^\s*release_short\s*=\s*'\([^']*\)'.*|/moin_static\1|p" MoinMoin/version.py)
 $(if $(staticpath),,$(error Failed to resolve staticpath))
+
+export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog --count 1 -SDate)" +%s)
 
 build-arch build-indep: build-stamp
 build-stamp:
