## moin 1.9.9.1

=== debian/changelog ===
moin (1.9.9.1-1+deb10u1+dde) unstable; urgency=medium

  * update

 -- Steve McIntyre <93sam@debian.org>  Fri, 18 Jun 2021 17:57:29 +0800

moin (1.9.9.1-1+deb10u1+dde) buster-security; urgency=high

  * Non-maintainer upload.
  * security: fix stored XSS vulnerability via SVG attachment (CVE-2020-15275)
  * security: fix remote code execution via cache action (CVE-2020-25074)
  * Tweak Debian version used to 1.9.9-1+deb10u1 to avoid possible version
    clash with lower suite.
 -- wangpei <wangpei@uniontech.com>  Fri, 18 Jun 2021 15:34:23 +0800

moin (1.9.9-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * security: fix stored XSS vulnerability via SVG attachment (CVE-2020-15275)
  * security: fix remote code execution via cache action (CVE-2020-25074)
  * Tweak Debian version used to 1.9.9-1+deb10u1 to avoid possible version
    clash with lower suite.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Nov 2020 12:57:19 +0100
