## moin 1.9.11

=== debian/changelog ===
moin (1.9.11-0.3) unstable; urgency=medium

  * Re-add support for !NoWikiWord

 -- Joey Schulze <joey@infodrom.org>  Mon, 03 Nov 2025 20:33:49 +0100

moin (1.9.11-0.2) unstable; urgency=medium

  * Basic port to Python 3.x
  * Thus renaming binary package to python3-moinmoin replacing old
    python-moinmoin packages
  * Bump debhelper compatibility level to 10.
  * Add new macro <<RandomFortune(database)>

 -- Joey Schulze <joey@infodrom.org>  Thu, 18 Sep 2025 17:28:55 +0200

moin (1.9.11-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import upstream source 1.9.11
    Patches incorporated upstream:
    - fix_wrong_digestmod_of_hmac.new_calls.patch
    - security-fix-for-CVE-2017-5934-XSS-in-GUI-editor-rel.patch
    - security-fix-stored-XSS-vulnerability-via-SVG-attach.patch
    - security-fix-remote-code-execution-via-cache-action-.patch
  * Bump debhelper compatibility level to 9.
  
 -- Joey Schulze <joey@infodrom.org>  Sat, 13 Sep 2025 20:47:30 +0200
