=== debian/control ===
Source: moin
Section: net
Priority: optional
Maintainer: Joey Schulze <joey@infodrom.org>
Standards-Version: 3.9.5
Build-Depends: devscripts,
 python3,
 python3-dev (>= 3.11.2-1),
 debhelper,
 rsync,
 unzip,
 zip
X-Python3-Version: >= 3.11
Vcs-Git: git://git.debian.org/git/collab-maint/moin.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/moin.git;a=summary
Homepage: http://moinmo.in/

Package: python3-moinmoin
Architecture: all
Section: python
Depends: ${python3:Depends}, ${misc:Depends}, python3-werkzeug, python3-pygments, python3-passlib, 
 python3-secure-cookie
Recommends: default-mta | mail-transport-agent, python3-xapian, libapache2-mod-wsgi | httpd-cgi
Replaces: python-moinmoin (<< 1.9.11-0.2)
Breaks: python-moinmoin (<< 1.9.11-0.2)
Description: Python clone of WikiWiki
 A WikiWikiWeb is a collaborative hypertext environment, with an
 emphasis on easy access to and modification of information. MoinMoin
 is a Python WikiClone that allows you to easily set up your own wiki,
 only requiring a Web server and a Python installation.
