=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,10 @@
 #!/usr/bin/make -f
 #-*- makefile -*-
 
-PATH := $(PATH):$(CURDIR)/debian/bin
-export PATH
-
-pkg = python-moinmoin
+pkg = python3-moinmoin
 datadir = /usr/share/moin
 libdir = $(datadir)/server
-python_all = pyversions -r | tr ' ' '\n' | xargs -t -I {} env {}
+python_all = py3versions -r | tr ' ' '\n' | xargs -t -I {} env {}
 staticpath := $(shell sed -n -e "s|^\s*release_short\s*=\s*'\([^']*\)'.*|/moin_static\1|p" MoinMoin/version.py)
 $(if $(staticpath),,$(error Failed to resolve staticpath))
 
@@ -27,6 +24,7 @@
 	dh_testroot
 	rm -rf build
 	cd MoinMoin/i18n && make clean
+	rm -rf moin.egg-info
 	rm -f MoinMoin/i18n/meta.py
 	rm -f debian/stamp-update-translations
 	rm -f debian/moin.1
@@ -110,7 +108,11 @@
 	dh_installexamples
 	dh_installman
 	dh_installchangelogs
-	dh_python2
+	sed -i 's!/usr/bin/python! /usr/bin/python3!' \
+	    debian/python3-moinmoin/usr/bin/moin \
+	    debian/python3-moinmoin/usr/share/moin/server/moin.cgi
+	rsync -ar MoinMoin/support/werkzeug/ debian/python3-moinmoin/usr/lib/python3/dist-packages/MoinMoin/support/werkzeug/
+	dh_python3
 	dh_compress -X examples/
 	dh_fixperms
 	dh_installdeb
